﻿namespace CascadeComboMvc.Controllers
{
    using System.Collections.Generic;
    using System.Linq;
    using System.Web.Http;
    using System.Web.Mvc;

    using CascadeComboMvc.Models;

    public class ComboController : Controller
    {
        private readonly Repository repository;

        public ComboController()
        {
            this.repository = new Repository();
        }

        public ActionResult Contries()
        {
            var countries = this.repository.Countries.AsQueryable();
            return this.Json(countries, JsonRequestBehavior.AllowGet);
        }

        public ActionResult Districts(string countryId)
        {
            var districts = this.repository.Districts.Where(d => d.CountryId == countryId);

            return this.Json(districts, JsonRequestBehavior.AllowGet);
        }

        public ActionResult Towns(string districtId)
        {
            var districts = this.repository.Towns.Where(t => t.DistrictId == districtId);

            return this.Json(districts, JsonRequestBehavior.AllowGet);
        }
    }
}