﻿namespace CascadeComboMvc.Models
{
    using System.Collections.Generic;
    using System.Linq;

    public class Repository
    {
        public IQueryable<Country> Countries { get; set; }

        public IQueryable<District> Districts { get; set; }

        public IQueryable<Town> Towns { get; set; }

        public Repository()
        {
            this.Countries = new List<Country>
            {
               new Country { Id = "US", Name = "United States" },
               new Country { Id = "BG", Name = "Bulgaria" }
            }.AsQueryable();

            this.Districts = new List<District>
            {
                new District { CountryId = "US", Name = "New Jersey", Id = "NJ" },
                new District { CountryId = "US", Name = "California", Id = "CA" },
                new District { CountryId = "US", Name = "Illinois", Id = "IL" },
                new District { CountryId = "US", Name = "New York", Id = "NY" },
                new District { CountryId = "US", Name = "Florida", Id = "FL" },
                new District { CountryId = "BG", Name = "Sofia", Id = "SA" },
                new District { CountryId = "BG", Name = "Plovdiv", Id = "PV" },
                new District { CountryId = "BG", Name = "Varna", Id = "V" },
                new District { CountryId = "BG", Name = "Yambol", Id = "Y" }
            }.AsQueryable();

            this.Towns = new List<Town>
            {
                new Town { DistrictId = "NJ", Name = "Atlantic City", Id = "AtlanticCity" },
                new Town { DistrictId = "NJ", Name = "Dover", Id = "Dover" },
                new Town { DistrictId = "CA", Name = "Los Angeles", Id = "LosAngeles" },
                new Town { DistrictId = "CA", Name = "San Francisco", Id = "San Francisco" },
                new Town { DistrictId = "CA", Name = "San Diego", Id = "SanDiego" },
                new Town { DistrictId = "IL", Name = "Chicago", Id = "Chicago" },
                new Town { DistrictId = "NY", Name = "New York", Id = "NewYork" },
                new Town { DistrictId = "NY", Name = "Buffalo", Id = "Buffalo" },
                new Town { DistrictId = "FL", Name = "Miami", Id = " Miami" },
                new Town { DistrictId = "FL", Name = "Orlando", Id = "Orlando" },
                new Town { DistrictId = "SA", Name = "Sofia", Id = "Sofia" },
                new Town { DistrictId = "SA", Name = "Pernik", Id = "Pernik" },
                new Town { DistrictId = "PV", Name = "Plovdiv", Id = "Plovdiv" },
                new Town { DistrictId = "PV", Name = "Asenovgrad", Id = "Asenovgrad" },
                new Town { DistrictId = "V", Name = "Varna", Id = "Varna" },
                new Town { DistrictId = "V", Name = "Kavarna", Id = "Kavarna" },
                new Town { DistrictId = "V", Name = "Balchik", Id = "Balchik" },
                new Town { DistrictId = "Y", Name = "Yambol", Id = "Yambol" },
                new Town { DistrictId = "Y", Name = "Kermen", Id = "Kermen" },
                new Town { DistrictId = "Y", Name = "Elhovo", Id = "Elhovo" },
                new Town { DistrictId = "Y", Name = "Bolyarovo", Id = "Bolqrovo" }
            }.AsQueryable();
        }
    }
}